## com.baidubce.services.lss.model
Class UpdateSecurityPolicyInnerRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.lss.model.UpdateSecurityPolicyInnerRequest

    public class UpdateSecurityPolicyInnerRequest

extends AbstractBceRequest

Created by shidaiting01 on 2016/1/14.

Constructor Summary
`UpdateSecurityPolicyInnerRequest()`

Method Summary
`AntiLeech` `getAntiLeech()`
`Auth` `getAuth()`
`Encryption` `getEncryption()`
`void` `setAntiLeech(AntiLeech antiLeech)`
`void` `setAuth(Auth auth)`
`void` `setEncryption(Encryption encryption)`
`String` `toString()`
`UpdateSecurityPolicyInnerRequest` `withAntiLeech(AntiLeech antiLeech)`
`UpdateSecurityPolicyInnerRequest` `withAuth(Auth auth)`
`UpdateSecurityPolicyInnerRequest` `withEncryption(Encryption encryption)`
`UpdateSecurityPolicyInnerRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateSecurityPolicyInnerRequest

    public UpdateSecurityPolicyInnerRequest()

Method Detail

### getAuth

    public Auth getAuth()

### setAuth

    public void setAuth(Auth auth)

### withAuth

    public UpdateSecurityPolicyInnerRequest withAuth(Auth auth)

### getAntiLeech

    public AntiLeech getAntiLeech()

### setAntiLeech

    public void setAntiLeech(AntiLeech antiLeech)

### withAntiLeech

    public UpdateSecurityPolicyInnerRequest withAntiLeech(AntiLeech antiLeech)

### getEncryption

    public Encryption getEncryption()

### setEncryption

    public void setEncryption(Encryption encryption)

### withEncryption

    public UpdateSecurityPolicyInnerRequest withEncryption(Encryption encryption)

### withRequestCredentials

    public UpdateSecurityPolicyInnerRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.